edu.wisc.cae.caeauth.internal.model

## Class MethodStatistics

- java.lang.Object
- - edu.wisc.cae.caeauth.internal.model.MethodStatistics

All Implemented Interfaces:
  Serializable, org.jvnet.jaxb2_commons.lang.Equals, org.jvnet.jaxb2_commons.lang.HashCode, org.jvnet.jaxb2_commons.lang.ToString

    public class MethodStatistics
    extends Object
    implements Serializable, org.jvnet.jaxb2_commons.lang.Equals, org.jvnet.jaxb2_commons.lang.HashCode, org.jvnet.jaxb2_commons.lang.ToString

Java class for MethodStatistics complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MethodStatistics">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="method_name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="method_version" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="total_requests" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="failed_requests" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="average_time_miliseconds" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="response_times" type="{http://www.w3.org/2001/XMLSchema}int" maxOccurs="unbounded" minOccurs="0"/>
             <element name="response_times_failed" type="{http://www.w3.org/2001/XMLSchema}int" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

### Field Summary

Fields
`protected long` `averageTimeMiliseconds`
`protected long` `failedRequests`
`protected String` `methodName`
`protected String` `methodVersion`
`protected List<Integer>` `responseTimes`
`protected List<Integer>` `responseTimesFaileds`
`protected long` `totalRequests`

### Constructor Summary

Constructors
Constructor and Description
`MethodStatistics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StringBuilder` `append(org.jvnet.jaxb2_commons.locator.ObjectLocator locator, StringBuilder buffer, org.jvnet.jaxb2_commons.lang.ToStringStrategy strategy)`
`StringBuilder` `appendFields(org.jvnet.jaxb2_commons.locator.ObjectLocator locator, StringBuilder buffer, org.jvnet.jaxb2_commons.lang.ToStringStrategy strategy)`
`boolean` `equals(Object object)`
`boolean` `equals(org.jvnet.jaxb2_commons.locator.ObjectLocator thisLocator, org.jvnet.jaxb2_commons.locator.ObjectLocator thatLocator, Object object, org.jvnet.jaxb2_commons.lang.EqualsStrategy strategy)`
`long` `getAverageTimeMiliseconds()` Gets the value of the averageTimeMiliseconds property.
`long` `getFailedRequests()` Gets the value of the failedRequests property.
`String` `getMethodName()` Gets the value of the methodName property.
`String` `getMethodVersion()` Gets the value of the methodVersion property.
`List<Integer>` `getResponseTimes()` Gets the value of the responseTimes property.
`List<Integer>` `getResponseTimesFaileds()` Gets the value of the responseTimesFaileds property.
`long` `getTotalRequests()` Gets the value of the totalRequests property.
`int` `hashCode()`
`int` `hashCode(org.jvnet.jaxb2_commons.locator.ObjectLocator locator, org.jvnet.jaxb2_commons.lang.HashCodeStrategy strategy)`
`void` `setAverageTimeMiliseconds(long value)` Sets the value of the averageTimeMiliseconds property.
`void` `setFailedRequests(long value)` Sets the value of the failedRequests property.
`void` `setMethodName(String value)` Sets the value of the methodName property.
`void` `setMethodVersion(String value)` Sets the value of the methodVersion property.
`void` `setTotalRequests(long value)` Sets the value of the totalRequests property.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### methodName

    protected String methodName

#### methodVersion

    protected String methodVersion

#### totalRequests

    protected long totalRequests

#### failedRequests

    protected long failedRequests

#### averageTimeMiliseconds

    protected long averageTimeMiliseconds

#### responseTimes

    protected List<Integer> responseTimes

#### responseTimesFaileds

    protected List<Integer> responseTimesFaileds

### Constructor Detail

#### MethodStatistics

    public MethodStatistics()

### Method Detail

#### getMethodName

    public String getMethodName()

Gets the value of the methodName property.

Returns:
  possible object is `String`

#### setMethodName

    public void setMethodName(String value)

Sets the value of the methodName property.

Parameters:
  `value` - allowed object is `String`

#### getMethodVersion

    public String getMethodVersion()

Gets the value of the methodVersion property.

Returns:
  possible object is `String`

#### setMethodVersion

    public void setMethodVersion(String value)

Sets the value of the methodVersion property.

Parameters:
  `value` - allowed object is `String`

#### getTotalRequests

    public long getTotalRequests()

Gets the value of the totalRequests property.

#### setTotalRequests

    public void setTotalRequests(long value)

Sets the value of the totalRequests property.

#### getFailedRequests

    public long getFailedRequests()

Gets the value of the failedRequests property.

#### setFailedRequests

    public void setFailedRequests(long value)

Sets the value of the failedRequests property.

#### getAverageTimeMiliseconds

    public long getAverageTimeMiliseconds()

Gets the value of the averageTimeMiliseconds property.

#### setAverageTimeMiliseconds

    public void setAverageTimeMiliseconds(long value)

Sets the value of the averageTimeMiliseconds property.

#### getResponseTimes

    public List<Integer> getResponseTimes()

Gets the value of the responseTimes property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the responseTimes property.

For example, to add a new item, do as follows:

        getResponseTimes().add(newItem);

Objects of the following type(s) are allowed in the list `Integer`

#### getResponseTimesFaileds

    public List<Integer> getResponseTimesFaileds()

Gets the value of the responseTimesFaileds property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the responseTimesFaileds property.

For example, to add a new item, do as follows:

        getResponseTimesFaileds().add(newItem);

Objects of the following type(s) are allowed in the list `Integer`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### append

    public StringBuilder append(org.jvnet.jaxb2_commons.locator.ObjectLocator locator,
                                StringBuilder buffer,
                                org.jvnet.jaxb2_commons.lang.ToStringStrategy strategy)

Specified by:
  `append` in interface `org.jvnet.jaxb2_commons.lang.ToString`

#### appendFields

    public StringBuilder appendFields(org.jvnet.jaxb2_commons.locator.ObjectLocator locator,
                                      StringBuilder buffer,
                                      org.jvnet.jaxb2_commons.lang.ToStringStrategy strategy)

Specified by:
  `appendFields` in interface `org.jvnet.jaxb2_commons.lang.ToString`

#### equals

    public boolean equals(org.jvnet.jaxb2_commons.locator.ObjectLocator thisLocator,
                          org.jvnet.jaxb2_commons.locator.ObjectLocator thatLocator,
                          Object object,
                          org.jvnet.jaxb2_commons.lang.EqualsStrategy strategy)

Specified by:
  `equals` in interface `org.jvnet.jaxb2_commons.lang.Equals`

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode(org.jvnet.jaxb2_commons.locator.ObjectLocator locator,
                        org.jvnet.jaxb2_commons.lang.HashCodeStrategy strategy)

Specified by:
  `hashCode` in interface `org.jvnet.jaxb2_commons.lang.HashCode`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`